/**
 * NameRepresentationUse2.java
 *
 * File generated from the medication2::NameRepresentationUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration NameRepresentationUse2.
 *
 * 
 */

@XmlType(name = "NameRepresentationUse")
@XmlEnum
@XmlRootElement(name = "NameRepresentationUse2")
public enum NameRepresentationUse2 {
	@XmlEnumValue("ABC")
	ABC("ABC"),
	@XmlEnumValue("IDE")
	IDE("IDE"),
	@XmlEnumValue("SYL")
	SYL("SYL");
	
	private final String value;

    NameRepresentationUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static NameRepresentationUse2 fromValue(String v) {
        for (NameRepresentationUse2 c: NameRepresentationUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
